import request from '@/utils/request'

// 查询志愿记录列表
export function listAWishRecord(query) {
  return request({
    url: '/ie/aWishRecord/list',
    method: 'get',
    params: query
  })
}

// 查询志愿记录详细
export function getAWishRecord(id) {
  return request({
    url: '/ie/aWishRecord/' + id,
    method: 'get'
  })
}

// 新增志愿记录
export function addAWishRecord(data) {
  return request({
    url: '/ie/aWishRecord',
    method: 'post',
    data: data
  })
}

// 修改志愿记录
export function updateAWishRecord(data) {
  return request({
    url: '/ie/aWishRecord',
    method: 'put',
    data: data
  })
}

// 删除志愿记录
export function delAWishRecord(id) {
  return request({
    url: '/ie/aWishRecord/' + id,
    method: 'delete'
  })
}
